#### Beyond Linux® From Scratch (systemd Edition) - Version 10.1

### Chapter 6. Editors

- Prev

  Ed-1.17

- Next

  Gedit-3.38.1

- Up
- Home

# Emacs-27.1

## Introduction to Emacs

The Emacs package contains an extensible, customizable, self-documenting real-time display editor.

This package is known to build and work properly using an LFS-10.1 platform.

### Package Information

- Download (HTTP): https://ftp.gnu.org/gnu/emacs/emacs-27.1.tar.xz

- Download (FTP): ftp://ftp.gnu.org/gnu/emacs/emacs-27.1.tar.xz

- Download MD5 sum: f1f25356b68ec69caccd41d95988d23d

- Download size: 42 MB

- Estimated disk space required: 480 MB

- Estimated build time: 0.7 SBU (Using parallelism=4)

### Emacs Dependencies

#### Recommended

giflib-5.2.1, GnuTLS-3.7.0, and LibTIFF-4.2.0

#### Optional

X Window System, alsa-lib-1.2.4, dbus-1.12.20, GConf-3.2.6, gobject-introspection-1.66.1, gsettings-desktop-schemas-3.38.0, GPM-1.20.7, GTK+-2.24.33 or GTK+-3.24.25, ImageMagick-7.0.11-0, jansson-2.13.1, libjpeg-turbo-2.0.6, libpng-1.6.37, librsvg-2.50.3, libxml2-2.9.10, MIT Kerberos V5-1.19.1, Valgrind-3.16.1, intlfonts, libungif, libotf and m17n-lib - to correctly display such complex scripts as Indic and Khmer, and also for scripts that require Arabic shaping support (Arabic and Farsi), and libXaw3d

User Notes: http://wiki.linuxfromscratch.org/blfs/wiki/emacs

## Installation of Emacs

Install Emacs by running the following commands:

    ./configure --prefix=/usr --localstatedir=/var &&
    make

This package does not come with a test suite. If make succeeds, you can test the result by running src/emacs -Q, which is the program that will be installed, with its auxiliary files. This should start and display the application opening screen.

Now, as the `root` user:

    make install &&
    chown -v -R root:root /usr/share/emacs/27.1

### Note

This package installs icon files into the `/usr/share/icons/hicolor` hierarchy and you can improve system performance and memory usage by updating `/usr/share/icons/hicolor/index.theme`. To perform the update you must have GTK+-2.24.33 or GTK+-3.24.25 installed and issue the following command as the `root` user:

    gtk-update-icon-cache -qtf /usr/share/icons/hicolor

## Command Explanations

`--localstatedir=/var`: Create game score files in `/var/games/emacs` instead of `/usr/var/games/emacs`.

`--with-imagemagick`: Use this if you have installed ImageMagick-7.0.11-0 and wish to link against it.

`--with-gif=no`: Use this if you have not installed giflib-5.2.1 or libungif.

`--with-tiff=no`: Use this if you have not installed LibTIFF-4.2.0.

`--with-gnutls=no`: Use this if you have not installed GnuTLS-3.7.0.

## Contents

Installed Programs: ctags, ebrowse, emacs (symlink), emacs-27.1, emacsclient, etags, and grep-changelog
Installed Libraries: None
Installed Directories: /usr/libexec/emacs, /usr/share/emacs, and /var/games/emacs

### Short Descriptions

ctags | creates cross-reference tagfile database files for source code
ebrowse | permits browsing of C++ class hierarchies from within emacs
emacs | is an editor
emacsclient | attaches an emacs session to an already running emacsserver instance
etags | is another program to generate source code cross-reference tagfiles
grep-changelog | prints entries in Change Logs matching various criteria

Last updated on 2021-02-22 12:20:59 -0800

- Prev

  Ed-1.17

- Next

  Gedit-3.38.1

- Up
- Home